> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finhub.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Organization Add Employee

> Add an employee user to an organization customer

export function RequiredRunnerHeaders() {
  return <>
      <ParamField header="X-Forwarded-For" type="string" required>
        Client source IP (runner default: `127.0.0.1`)
      </ParamField>
      <ParamField header="X-Tenant-ID" type="string" required>
        Tenant identifier
      </ParamField>
      <ParamField header="X-Forwarded-From" type="string" required>
        Client source identifier (runner default: `integration-client`)
      </ParamField>
      <ParamField header="platform" type="string" required>
        Client platform (runner default: `web`)
      </ParamField>
      <ParamField header="deviceId" type="string" required>
        Device identifier (runner default: `integration-device`)
      </ParamField>
      <ParamField header="Authorization" type="string" required>
        Bearer token
      </ParamField>
    </>;
}

# Organization Add Employee

Adds an employee profile and creates a user for an existing organization.

## Endpoint

`POST /api/v2.1/customer/organization/{organizationId}/employee`

## Default Role Set (runner-aligned)

`COMPLIANCE_OFFICER`, `TRANSACTION_APPROVER`, `EMPLOYEE`, `ADMIN_USER`

## Required Headers

<RequiredRunnerHeaders />

## Request Example

```json theme={null}
{
  "person": {
    "firstName": "Jane",
    "lastName": "Compliance",
    "email": "compliance.20260331115443@acmecorp.com",
    "phoneNumber": "+37066051634",
    "dateOfBirth": "1990-03-25",
    "nationality": "Lithuania",
    "gender": "1",
    "fullName": "Jane Compliance"
  },
  "position": "COMPLIANCE_OFFICER",
  "roles": ["COMPLIANCE_OFFICER", "TRANSACTION_APPROVER", "EMPLOYEE", "ADMIN_USER"],
  "department": "Compliance"
}
```

## Success Response

```json 200 theme={null}
{
  "code": 200,
  "data": {
    "individual": {
      "userId": "da9a15d2-1eb9-4804-a812-b58b03f33018",
      "email": "compliance.20260331115443@acmecorp.com"
    }
  },
  "message": "Employee added successfully with role validation"
}
```

<Note>
  Used in B2B step runner Step 4.
</Note>


## OpenAPI

````yaml fincheck.yaml POST /api/v2.1/customer/organization/{organizationId}/employee
openapi: 3.0.3
info:
  title: Fincheck Endpoint Set
  version: 1.1.0
  description: |
    Focused API spec for Customer APIs and Verification & Compliance endpoints,
    aligned to business-bff B2C/B2B runners and dump payloads.
servers:
  - url: https://sandbox.finhub.cloud
security: []
paths:
  /api/v2.1/customer/organization/{organizationId}/employee:
    post:
      operationId: addOrganizationEmployee
      parameters:
        - $ref: '#/components/parameters/XForwardedFor'
        - $ref: '#/components/parameters/XTenantId'
        - $ref: '#/components/parameters/XForwardedFrom'
        - $ref: '#/components/parameters/Platform'
        - $ref: '#/components/parameters/DeviceId'
        - $ref: '#/components/parameters/Authorization'
        - in: path
          name: organizationId
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddOrganizationEmployee'
      responses:
        '200':
          description: Employee added
components:
  parameters:
    XForwardedFor:
      in: header
      name: X-Forwarded-For
      required: true
      schema:
        type: string
      example: 127.0.0.1
    XTenantId:
      in: header
      name: X-Tenant-ID
      required: true
      schema:
        type: string
      example: 97e7ff29-15f3-49ef-9681-3bbfcce4f6cd
    XForwardedFrom:
      in: header
      name: X-Forwarded-From
      required: true
      schema:
        type: string
      example: integration-client
    Platform:
      in: header
      name: platform
      required: true
      schema:
        type: string
      example: web
    DeviceId:
      in: header
      name: deviceId
      required: true
      schema:
        type: string
      example: integration-device
    Authorization:
      in: header
      name: Authorization
      required: true
      schema:
        type: string
      example: Bearer YOUR_ACCESS_TOKEN
  schemas:
    AddOrganizationEmployee:
      type: object
      required:
        - person
        - position
        - roles
        - department
      properties:
        person:
          type: object
          required:
            - firstName
            - lastName
            - email
            - phoneNumber
            - dateOfBirth
            - nationality
            - gender
            - fullName
          properties:
            firstName:
              type: string
              example: Jane
            lastName:
              type: string
              example: Compliance
            email:
              type: string
              example: compliance.20260331115443@acmecorp.com
            phoneNumber:
              type: string
              example: '+37066051634'
            dateOfBirth:
              type: string
              example: '1990-03-25'
            nationality:
              type: string
              example: Lithuania
            gender:
              type: string
              example: '1'
            fullName:
              type: string
              example: Jane Compliance
          example:
            firstName: Jane
            lastName: Compliance
            email: compliance.20260331115443@acmecorp.com
            phoneNumber: '+37066051634'
            dateOfBirth: '1990-03-25'
            nationality: Lithuania
            gender: '1'
            fullName: Jane Compliance
        position:
          type: string
          example: COMPLIANCE_OFFICER
        roles:
          type: array
          items:
            type: string
          example:
            - COMPLIANCE_OFFICER
            - TRANSACTION_APPROVER
            - EMPLOYEE
            - ADMIN_USER
        department:
          type: string
          example: Compliance
      example:
        person:
          firstName: Jane
          lastName: Compliance
          email: compliance.20260331115443@acmecorp.com
          phoneNumber: '+37066051634'
          dateOfBirth: '1990-03-25'
          nationality: Lithuania
          gender: '1'
          fullName: Jane Compliance
        position: COMPLIANCE_OFFICER
        roles:
          - COMPLIANCE_OFFICER
          - TRANSACTION_APPROVER
          - EMPLOYEE
          - ADMIN_USER
        department: Compliance

````